<?php

namespace App\Services;

use App\Jobs\SendGeneralNotificationJob;
use App\Jobs\SendSpecificCustomerNotificationJob;

class AdminNotificationService extends BaseService
{
    public function queueSpecificCustomerNotification(int $memberId, string $title, string $message): void
    {
        dispatch(new SendSpecificCustomerNotificationJob($memberId, $title, $message));
    }

    public function queueGeneralNotification(string $title, string $message, array $memberIds = [], array $coachIds = []): void
    {
        dispatch(new SendGeneralNotificationJob($title, $message, $memberIds, $coachIds));
    }

    public function queueSpecificCoachNotification(int $coachId, string $title, string $message): void
    {
        dispatch(new \App\Jobs\SendSpecificCoachNotificationJob($coachId, $title, $message));
    }
}

